> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/server-side/command-line-interface/ab-tasty-cli-reference-v1xx/feature-experimentation/feature-experimentation-flag.md).

# flag

## abtasty-cli feature-experimentation flag create

#### NAME

`abtasty-cli feature-experimentation flag create` - Create a flag

#### SYNOPSIS

`abtasty-cli feature-experimentation flag create \[--name NAME --type TYPE --default-value DEFAULT_VALUE --description DESCRIPTION --predefined-values PREDEFINED_VALUES | [-d DATA_RAW | --data-raw = DATA_RAW]]`

#### DESCRIPTION

Create a flag in your account

#### EXAMPLES

```shell
abtasty-cli feature-experimentation flag create -d DATA_RAW
```

```shell
abtasty-cli feature-experimentation flag create -d "{\"name\":\"CLI_flag\",\"type\":\"string\",\"source\":\"manual\",\"description\":\"Flag created with the Flagship CLI\",\"default_value\":\"DEFAULT_VALUE\",\"predefined_values\":[\"Value_1\",\"Value_2\"]}"
```

```shell
abtasty-cli feature-experimentation flag create --name "CLI_flag" --type "string" --description "Flag created with the Flagship CLI" --default-value "DEFAULT_VALUE" --predefined-values "[\"Value_1\",\"Value_2\"]"
```

#### FLAGS

`--name = _NAME_`

Name of the flag

`--type = _TYPE_`

Type of the flag

`--description = _DESCRIPTION_`

Description of the flag

`--default-value = _DEFAULT_VALUE_`

Default value of the flag

`--predefined-values = _PREDEFINED_VALUES_`

Predefined valued for the flag

{% hint style="warning" %}
🚧 --data-raw flag has priority over the others flags (--name, --type etc...)

If you insert --data-raw with the other flags (--name, --type etc...) the data inside --data-raw will override the others.
{% endhint %}

`--data-raw = _DATA_RAW_`

The raw data contains all the info to create your flag, check the [Remote Control documentation](https://docs.developers.flagship.io/reference/schema-flags) for more details

{% hint style="danger" %}
❗️ Raw data format

Note that you should insert data without spaces, line breaks, tabulation etc...
{% endhint %}

***

## abtasty-cli feature-experimentation flag list

#### NAME

`abtasty-cli feature-experimentation flag list` - List all flags

#### SYNOPSIS

`abtasty-cli feature-experimentation flag list [--output-format = OUTPUT_FORMAT [table|json|json-pretty]]`

#### DESCRIPTION

List all flags in your account

#### EXAMPLES

```shell
abtasty-cli feature-experimentation flag list
```

#### FLAGS

`--output-format = _OUTPUT_FORMAT_`

The output format for printing command output resources. The default is table. The supported formats are: json-pretty, table, json.

***

## abtasty-cli feature-experimentation flag get

#### NAME

`abtasty-cli feature-experimentation flag get` - Get a flag

#### SYNOPSIS

`abtasty-cli feature-experimentation flag get [-i FLAG_ID | --id = FLAG_ID]`

#### DESCRIPTION

Get a flag in your account

#### EXAMPLES

```shell
abtasty-cli feature-experimentation flag get -i FLAG_ID
```

#### REQUIRED FLAGS

`--id = _FLAG_ID_`

The id of the flag you want to display

#### FLAGS

`--output-format _OUTPUT_FORMAT_`

The output format for printing command output resources. The default is table. The supported formats are: json-pretty, table, json.

***

## abtasty-cli feature-experimentation flag edit

#### NAME

`abtasty-cli feature-experimentation flag edit` - Edit a flag

#### SYNOPSIS

`abtasty-cli feature-experimentation flag edit [-i FLAG_ID | --id = FLAG_ID] [-d DATA_RAW | --data-raw = DATA_RAW]`

#### DESCRIPTION

Edit a flag in your account

#### EXAMPLES

```shell
abtasty-cli feature-experimentation flag edit -i FLAG_ID -d DATA_RAW
```

#### REQUIRED FLAGS

`--id = _FLAG_ID_`

The id of the flag you want to edit

`--data-raw = _DATA_RAW_`

The raw data contains all the info to edit your flag, check the [Remote Control documentation](https://docs.developers.flagship.io/reference/schema-flags) for more details

{% hint style="danger" %}
❗️ Raw data format

Note that you should insert data without spaces, line breaks, tabulation etc...
{% endhint %}

***

## abtasty-cli feature-experimentation flag delete

#### NAME

`abtasty-cli feature-experimentation flag delete` - Delete a flag

#### SYNOPSIS

`abtasty-cli feature-experimentation flag delete [-i FLAG_ID | --id = FLAG_ID]`

#### DESCRIPTION

Delete a flag in your account

#### EXAMPLES

```shell
abtasty-cli feature-experimentation flag delete -i FLAG_ID
```

#### REQUIRED FLAGS

`--id = _FLAG_ID_`

The id of the flag you want to delete


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.abtasty.com/server-side/command-line-interface/ab-tasty-cli-reference-v1xx/feature-experimentation/feature-experimentation-flag.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
